> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/access-control-type.md).

# AccessControlType

A single access control type.

```graphql
type AccessControlType {
  allowedWhoAccessControlTypes: [String!]
  canAssumeMultiple: Boolean
  canBeAssumed: Boolean
  canBeCreated: Boolean
  commonParentType: String
  description: String
  isDefault: Boolean
  isNamedEntity: Boolean
  label: String
  type: String
}
```

### Fields

#### allowedWhoAccessControlTypes ● [`[String!]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#allowed-who-access-control-types" id="allowed-who-access-control-types"></a>

Used to limit the types of WHO links that can be set on this access control.

#### canAssumeMultiple ● [`Boolean`](/api/graphql/data-access/scalars/boolean.md) scalar <a href="#can-assume-multiple" id="can-assume-multiple"></a>

If true, multiple access controls of this type can be assumed by a user in the data source (e.g. an Account Role in Snowflake).

#### canBeAssumed ● [`Boolean`](/api/graphql/data-access/scalars/boolean.md) scalar <a href="#can-be-assumed" id="can-be-assumed"></a>

If true, access controls of this type can be assumed by a user in the data source (e.g. an Account Role in Snowflake).

#### canBeCreated ● [`Boolean`](/api/graphql/data-access/scalars/boolean.md) scalar <a href="#can-be-created" id="can-be-created"></a>

If true, access controls can we created with this type.

#### commonParentType ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#common-parent-type" id="common-parent-type"></a>

Optional data object type which needs to be the common parent for all data objects in the WHAT list (e.g. a Database Role in Snowflake requires all WHAT items to be from the same database).

#### description ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#description" id="description"></a>

The description of the access control type.

#### isDefault ● [`Boolean`](/api/graphql/data-access/scalars/boolean.md) scalar <a href="#is-default" id="is-default"></a>

If true, this is the default access control type (when creating a new access control).

#### isNamedEntity ● [`Boolean`](/api/graphql/data-access/scalars/boolean.md) scalar <a href="#is-named-entity" id="is-named-entity"></a>

If true, this access control is a named entity in the data source.

#### label ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#label" id="label"></a>

The display label for the access control type.

#### type ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#type" id="type"></a>

The internal identifier for the access control type.

### Member Of

[`DataSource`](/api/graphql/data-access/object-types/data-source.md) object ● [`SyncData`](/api/graphql/data-access/object-types/sync-data.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/access-control-type.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
